CRAZY-COMPLETE(1)

NAME
crazy-complete - Generate auto completion files for all major shells

SYNOPSIS
crazy-complete [-h] [--version] [--manual [TOPIC]] [--parser-variable PARSER_VARIABLE] [--input-type {yaml,json,python,help,auto}] [--abbreviate-commands BOOL] [--abbreviate-options BOOL] [--repeatable-options BOOL] [--inherit-options BOOL] [--option-stacking BOOL] [--long-option-argument-separator {space,equals,both}] [--disable FEATURES] [--vim-modeline BOOL] [--bash-completions-version VERSION] [--zsh-compdef BOOL] [--fish-fast BOOL] [--fish-inline-conditions BOOL] [--include-file FILE] [--comment COMMENT] [--debug] [--keep-comments] [--max-line-length MAX_LINE_LENGTH] [--function-prefix PREFIX] [-o FILE | -i | -u] {bash,fish,zsh,json,yaml} definition_file

DESCRIPTION
Generate shell auto completion files for all major shells

{bash,fish,zsh,json,yaml}
    Specify the shell type for the completion script

definition_file
    The file containing the command line definitions

OPTIONS

--version
    Show program version

--manual [TOPIC]
    Show manual for topic

--parser-variable PARSER_VARIABLE
    Specify the variable name of the ArgumentParser object (for --input- type=python)

--input-type {yaml,json,python,help,auto}
    Specify input file type

--abbreviate-commands BOOL
    Sets whether commands can be abbreviated

--abbreviate-options BOOL
    Sets whether options can be abbreviated

--repeatable-options BOOL
    Sets whether options are suggested multiple times during completion

--inherit-options BOOL
    Sets whether parent options are visible to subcommands

--option-stacking BOOL
    Sets whether short option stacking is allowed

--long-option-argument-separator {space,equals,both}
    Sets which separators are used for delimiting a long option from its argument

--disable FEATURES
    Disable features (hidden,final,groups,repeatable,when)

--vim-modeline BOOL
    Sets whether a vim modeline comment shall be appended to the generated code

--bash-completions-version VERSION
    Generate code for a specific bash-completions version

--zsh-compdef BOOL
    Sets whether #compdef is used in zsh scripts

--fish-fast BOOL
    Use faster commandline parsing at the cost of correctness

--fish-inline-conditions BOOL
    Don't store conditions in a variable

--include-file FILE
    Include file in output

--comment COMMENT
    Add a comment to output

--debug
    Enable debug mode

--keep-comments
    Keep comments in generated output

--max-line-length MAX_LINE_LENGTH
    Set the maximum line length of the generated output

--function-prefix PREFIX
    Set the prefix used for generated functions

-o FILE, --output FILE
    Write output to destination file [default: stdout]

-i, --install-system-wide
    Write output to the system-wide completions dir of shell

-u, --uninstall-system-wide
    Uninstall the system-wide completion file for program

COMMENTS
For complete documentation, see https://github.com/crazy-complete/crazy- complete

AUTHOR
Benjamin Abendroth